## com.imcode.imcms.api
Class ImageId

    java.lang.Object
      com.imcode.imcms.api.ImageId

All Implemented Interfaces:
  java.io.Serializable

    public class ImageId

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ImageId()`
`ImageId(int metaId, java.lang.String name)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `getMetaId()`
`java.lang.String` `getName()`
`int` `hashCode()`
`void` `setMetaId(int metaId)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageId

    public ImageId()

### ImageId

    public ImageId(int metaId,
                   java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getMetaId

    public int getMetaId()

### setMetaId

    public void setMetaId(int metaId)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)